Upscaler
Upscaling delle immagini potenziato dall'IA con miglioramento facciale opzionale
Caratteristiche
- Fino a 4x di upscaling
- Opzione di miglioramento del viso
- Mantiene la qualità dell'immagine
- Elaborazione rapida
Prezzi
2 (~$0.02)2 credits per image (any scale/face_enhance setting)
Endpoint
POST
/api/v1/images/generateParametri
| Parametro | Tipo | Obbligatorio | Descrizione |
|---|---|---|---|
| model | string | Obbligatorio | Must be "upscaler" |
| type | string | Obbligatorio | Must be "upscale" |
| image_urls | string[] | Obbligatorio | Input image URL or base64 (single item) to upscale |
| input_image | string | Facoltativo | Deprecated. Alias for image_urls[0] |
| scale | number | Facoltativo | Upscale factor: 1, 2, 3, or 4 (default: 2) |
| face_enhance | boolean | Facoltativo | Enable face enhancement (default: false) |
Esempio di Richiesta
{
"model": "upscaler",
"type": "upscale",
"image_urls": ["https://tempfile.aiquickdraw.com/workers/nano/image_1772780968156_ygk0zm.png"],
"scale": 4,
"face_enhance": true
}Esempio di Risposta
{
"success": true,
"data": {
"task_id": "task_up123",
"credits_used": 2,
"remaining_credits": 498
}
}Esempi di Codice
curl -X POST https://gateway.bananapro.site/api/v1/images/generate \
-H "Authorization: Bearer sk-your-api-key" \
-H "Content-Type: application/json" \
-d '{
"model": "upscaler",
"type": "upscale",
"image_urls": ["https://tempfile.aiquickdraw.com/workers/nano/image_1772780968156_ygk0zm.png"],
"scale": 4,
"face_enhance": true
}'